clear
multiWaitbar('CloseAll');

c = 42;             % "Control" (Rec1, to compare with Rec2)

s = 57;             % "Shifted"/repeated/pharmacology (Rec2)

RE = 1;             % if RE=1 ROI Explorer opens, if 0 ROI Explorer is off

Param_Comp = 9;     % leave empty "[]": no parameter user-defined for Rec2 vs. Rec1
                    % OR set a parameter from the list below  e.g. [9] for Rec2 vs. Rec1
                    % IMPORTANT: value can be adjusted in the ROI EXplorer
                    % as well
                    
cutoff = 20;        % set "cutoff" e.g. [20] will cut at 20% increase
                    % and decrease of "Param_Comp" for Rec2 vs. Rec1
                    % IMPORTANT: value can be adjusted in the ROI EXplorer
                    % as well

discard_sweep = 0;  % Choose 1 (only 1!) sweep to discard (deleted from every ROI) 

PARAMS = V_ONSITE_REP(c,s,RE,Param_Comp,cutoff,discard_sweep);

% PARAMETERS to compare: * indicates the ones with buttons in ROI Explorer
% 1 = Avg_Freq_bef;
% 2 = AP_num_bef;
% 3 = PSP_pos;
% 4 = PSP_neg;
% * 5 = PP1;
% 6 = PP2;
% 7 = SSlope_21;
% * 8 = SSlope_all;
% * 9 = Burst_Freqs_stim;
% 10 = Burst_Freqs_aft;
% 11 = Burst_Aps_perc;
% 12 = perc_out;
% 13 = AP_Onset_stim;
% * 14 = AP_Freq_stim_H1;
% 15 = AP_Freq_stim_H2;
% 16 = AP_Freq_stim_H2_H1;
% * 17 = AP_Freq_aft_H1;
% 18 = AP_Freq_aft_H2;
% 19 = AP_Freq_aft_H2_H1;
% 20 = BIMOD_Binary;
% 21 = BIMOD_Coeff;
% 22 = Burst_length_stim_h1;
% 23 = Burst_length_stim_h2;
% 24 = Burst_length_aft_h1;
% 25 = Burst_length_aft_h2;
% * 26 = Burst_number_stim_h1;
% 27 = Burst_number_stim_h2;
% * 28 = Burst_number_aft_h1;
% 29 = Burst_number_aft_h2;

