
function out = V_Binary_Sum_PSP_Neg(A,Th,BS)

[xData, yData] = prepareCurveData([],A);
ft = fittype('smoothingspline');
opts = fitoptions('Method','SmoothingSpline');
opts.SmoothingParam = 0.05;
[fitresult] = fit(xData,yData,ft,opts);
X_for_a_fit = linspace(1,numel(A),numel(A));
A_fit = fitresult(X_for_a_fit);

        A_fit_neg = A_fit;
        A_fit_neg(A_fit_neg > Th) = Th;
        if numel(A_fit_neg(A_fit_neg < Th)) > 3
           Diff1 = diff(A_fit_neg);
           Diff = [Diff1(1);Diff1];
           [xData, yData] = prepareCurveData( [], Diff );
           ft = fittype( 'smoothingspline' );
           opts = fitoptions( 'Method', 'SmoothingSpline' );
           opts.SmoothingParam = 0.05;
           [fitresult] = fit(xData, yData, ft, opts);
           X_for_diff_fit = find(A_fit_neg < 0);
           Diff_fit(1:size(A,1)) = NaN;
           Diff_fit(X_for_diff_fit) = fitresult(X_for_diff_fit);
           Diff_fit(A_fit_neg == Th) = 0.015; % should change it to self-adjusted
           
           Diff_fit_binary = Diff_fit;
           Diff_fit_binary(Diff_fit_binary > 0) = 0.015; 
           Diff_fit_binary(Diff_fit_binary < 0) = -0.015;
                    
           k = 1;
           n = 1;
           while k < 5 % sign switch narrower than 11 ms is deleted (APs are 4.8 ms)
             if n < 2
             Sign_switch = find(diff(sign(Diff_fit_binary)));
             Length_sign_switch = diff(Sign_switch);
             Bin_Neg = Diff_fit_binary;
             else
             Sign_switch = find(diff(sign(Bin_Neg)));
             Length_sign_switch = diff(Sign_switch);
             end
             noise = (find(Length_sign_switch < 5))+1; % +1 gives the position of noise
             % because with "sign" function the first point is detected as a switch
             Sign_switch_noise = Sign_switch(noise);
             Bin_Neg(Sign_switch_noise) = Bin_Neg(Sign_switch_noise)*-1;
    
             Sign_switch_denoised = find(diff(sign(Bin_Neg)));
             Length_sign_switch_denoised = diff(Sign_switch_denoised);
             k = min(Length_sign_switch_denoised);
             n = n+1;
           end

          
           ibi_length = BS(2) - BS(1); % IBI length is the same in a train
           for i = 1:numel(BS)-1
           ibi_to_clean = (BS(i)+round(ibi_length/2):BS(i+1)+1);
           Bin_Neg(ibi_to_clean) = 0.015;
           end
           Bin_Neg(BS(end) + round(ibi_length/2):end) = 0.015; % in "aft" the last value will be constant
           Bin_Neg(1:BS(1)+1) = 0.015;

         else
             Bin_Neg(1:size(A,1)) = 0;
         end
          
         Bin_Neg(Bin_Neg == 0.015) = 0;
         in_Neg(Bin_Neg == -0.015) = -1;
           
out = Bin_Neg;


