

function V_Fluo_C(~,~, ax, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    CORR_rank, Cluster_colors, Suggest_ROI)
        axes(ax)
        imagesc(FovImage);
        colormap gray;
        axis image;
        ax.BoxStyle = 'full';
        ax.XTick = [];
        ax.YTick = [];
        ax.XColor = [0.9290 0.6940 0.1250];
        ax.YColor = [0.9290 0.6940 0.1250];
        hold on

        global Suggest_ROI

        for i = 1:size(ROIs_Contour_coords,2)   
        Cont = cell2mat(transpose(ROIs_Contour_coords(i)));
        cent = cell2mat(ROIs_center_coords(i));
        X = Cont(:,1); X(isnan(X)) = [];
        Y = Cont(:,2); Y(isnan(Y)) = [];
            if isempty(Suggest_ROI) == 1
                Color = [0.8 0.8 0.8];
            elseif Suggest_ROI == 99
                sugg_cluster = CORR_rank(i);
                Color = Cluster_colors(sugg_cluster,:);
            elseif isempty(Suggest_ROI) == 0 & Suggest_ROI~=99
                user_def_idx = ismember(CORR_rank,Suggest_ROI);
                CORR_rank(~user_def_idx) = 0;
                if CORR_rank(i) == 0
                    Color = [0.8 0.8 0.8];
                elseif CORR_rank(i) > 0
                    sugg_cluster = CORR_rank(i);
                    Color = Cluster_colors(sugg_cluster,:);
                end
            end
        scatter(X,Y,3,Color,'filled');
        Text = num2str(i);
        text(cent(1), cent(2), Text,'Color','c','FontSize',9); % 'FontWeight','bold'
        hold on
        end
        hold off

end


