
function PARAMS = V_ONSITE_REP(c,s,RE,Param_Comp,cutoff,discard_sweep)

if s < 10 
  datafile2 = ['Data0000' num2str(s)];
elseif s > 9 && s < 100
  datafile2 = ['Data000' num2str(s)];
elseif s > 99
  datafile2 = ['Data00' num2str(s)];
end
filename2 = [datafile2 '.cxd']; % Video2

%--------------------------------------------------------
multiWaitbar( 'Load Voltron Data...','Reset','Color', [0.929 0.694 0.125]);
PARAMS = V_Load_and_Fill_Stack_PAR(filename2);
%--------------------------------------------------------
multiWaitbar('Stack AVG Equalization...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_Stack_EQ_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('ROI Shift and Trace Extraction...',0.1,'Color', [0.929 0.694 0.125]);
PARAMS = V_ROI_Shift_and_Trace_Extraction(PARAMS,c,s,discard_sweep);
%--------------------------------------------------------
multiWaitbar('AP detection...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_ROI_AP_RawDen_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('Firing and Burst analysis...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_ROI_Params_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('Mean Trace o-PSPs...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_SUB_Parameters_OnSite(PARAMS);
%--------------------------------------------------------
multiWaitbar('Classification parameters...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_o_phys_Params_OnSite(PARAMS);
%--------------------------------------------------------
multiWaitbar('o-Phys Change Rec1-Rec2...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_o_phys_CHANGE_OnSite(PARAMS,c);
%--------------------------------------------------------
filename2 = [datafile2 '.mat'];
save(filename2,'PARAMS');
%--------------------------------------------------------
if RE == 1
multiWaitbar('Initialize VoltView...',0.01,'Color', [0.929 0.694 0.125]);
V_VoltView_COMP_C_S(c,s,Param_Comp,cutoff)
end
multiWaitbar('CloseAll');
%--------------------------------------------------------
end


