
function V_VoltView_COMP_C_S(c,s,Param_Comp,cutoff)

if c < 10 
  datafile1 = ['Data0000' num2str(c)];
elseif c > 9 && c < 100
  datafile1 = ['Data000' num2str(c)];
elseif c > 99
  datafile1 = ['Data00' num2str(c)];
end

if s < 10 
  datafile2 = ['Data0000' num2str(s)];
elseif s > 9 && s < 100
  datafile2 = ['Data000' num2str(s)];
elseif s > 99
  datafile2 = ['Data00' num2str(s)];
end

filename1 = [datafile1 '.mat'];
C_PAR = struct2cell(load(filename1));
C_PAR = C_PAR{1};

C_ROIs_fullTraces_dff_poly2 = C_PAR(35).value;
NSweeps = C_PAR(2).value;
C_Sweep_L = C_PAR(3).value;
C_nROIs = double(C_PAR(16).value);
C_BlueSpike = C_PAR(21).value;
C_ROIs_Binary_BURST_Fix = C_PAR(48).value;
C_ROIs_AP_IDXs_MoveFilt = C_PAR(36).value;
C_ROIs_Contour_coords = C_PAR(17).value;

filename2 = [datafile2 '.mat'];
S1_PAR = struct2cell(load(filename2));
S1_PAR = S1_PAR{1};

S1_ROIs_fullTraces_dff_poly2 = S1_PAR(35).value;
S1_ROIs_shift_track = S1_PAR(13).value;
S1_Sweep_L = S1_PAR(3).value;
S1_BlueSpike = S1_PAR(21).value + C_Sweep_L;
S1_ROIs_Binary_BURST_Fix = S1_PAR(48).value;
S1_ROIs_AP_IDXs_MoveFilt = S1_PAR(36).value;
FovImage = S1_PAR(5).value;
EQImage = S1_PAR(11).value; % this is Ieq32
ROIs_Contour_coords = S1_PAR(17).value;
ROIs_center_coords = S1_PAR(19).value;
O_Phys_Change = S1_PAR(54).value;

Sweep_L = C_Sweep_L + S1_Sweep_L;
S1_nROIs = C_nROIs - sum(S1_ROIs_shift_track);

C_ROIs_fullTraces_dff_poly2(:,S1_ROIs_shift_track == 1) = [];

C_ROIs_AP_IDXs_MoveFilt = transpose(C_ROIs_AP_IDXs_MoveFilt);
C_ROI_ap_above = cell2mat(C_ROIs_AP_IDXs_MoveFilt);
C_ROI_ap_above_res = reshape(C_ROI_ap_above,NSweeps*C_Sweep_L,C_nROIs);
C_ROI_ap_above_res(:,S1_ROIs_shift_track == 1) = [];
C_ROI_ap_above_res2 = reshape(C_ROI_ap_above_res,C_Sweep_L,NSweeps*S1_nROIs);
Cell_n(1:S1_nROIs,:) = NSweeps; 
Cell_n = double(Cell_n);
C_ROIs_AP_IDXs_MoveFilt_lost = mat2cell(C_ROI_ap_above_res2,C_Sweep_L,Cell_n);
C_ROIs_AP_IDXs_MoveFilt_lost = transpose(C_ROIs_AP_IDXs_MoveFilt_lost);

C_ROIs_Binary_BURST_Fix = transpose(C_ROIs_Binary_BURST_Fix);
C_Binary_BURST = cell2mat(C_ROIs_Binary_BURST_Fix);
C_Binary_BURST_res = reshape(C_Binary_BURST,NSweeps*C_Sweep_L,C_nROIs);
C_Binary_BURST_res(:,S1_ROIs_shift_track == 1) = [];
C_Binary_BURST_res2 = reshape(C_Binary_BURST_res,C_Sweep_L,NSweeps*S1_nROIs);
Cell_n(1:S1_nROIs,:) = NSweeps; 
Cell_n = double(Cell_n);
C_ROIs_Binary_BURST_Fix_lost = mat2cell(C_Binary_BURST_res2,C_Sweep_L,Cell_n);
C_ROIs_Binary_BURST_Fix_lost = transpose(C_ROIs_Binary_BURST_Fix_lost);
%----------------------
S1_ROIs_fullTraces_dff_poly2(:,S1_ROIs_shift_track == 1) = [];

S1_ROIs_AP_IDXs_MoveFilt = transpose(S1_ROIs_AP_IDXs_MoveFilt);
S1_ROI_ap_above = cell2mat(S1_ROIs_AP_IDXs_MoveFilt);
S1_ROI_ap_above_res = reshape(S1_ROI_ap_above,NSweeps*C_Sweep_L,C_nROIs);
S1_ROI_ap_above_res(:,S1_ROIs_shift_track == 1) = [];
S1_ROI_ap_above_res2 = reshape(S1_ROI_ap_above_res,C_Sweep_L,NSweeps*S1_nROIs);
Cell_n(1:S1_nROIs,:) = NSweeps; 
Cell_n = double(Cell_n);
S1_ROIs_AP_IDXs_MoveFilt_lost = mat2cell(S1_ROI_ap_above_res2,C_Sweep_L,Cell_n);
S1_ROIs_AP_IDXs_MoveFilt_lost = transpose(S1_ROIs_AP_IDXs_MoveFilt_lost);

S1_ROIs_Binary_BURST_Fix = transpose(S1_ROIs_Binary_BURST_Fix);
S1_Binary_BURST = cell2mat(S1_ROIs_Binary_BURST_Fix);
S1_Binary_BURST_res = reshape(S1_Binary_BURST,NSweeps*C_Sweep_L,C_nROIs);
S1_Binary_BURST_res(:,S1_ROIs_shift_track == 1) = [];
S1_Binary_BURST_res2 = reshape(S1_Binary_BURST_res,C_Sweep_L,NSweeps*S1_nROIs);
Cell_n(1:S1_nROIs,:) = NSweeps; 
Cell_n = double(Cell_n);
S1_ROIs_Binary_BURST_Fix_lost = mat2cell(S1_Binary_BURST_res2,C_Sweep_L,Cell_n);
S1_ROIs_Binary_BURST_Fix_lost = transpose(S1_ROIs_Binary_BURST_Fix_lost);
%----------------------

C_DenRaw_sweeps_dff_poly2 = reshape(C_ROIs_fullTraces_dff_poly2,C_Sweep_L,S1_nROIs*NSweeps);
S1_DenRaw_sweeps_dff_poly2 = reshape(S1_ROIs_fullTraces_dff_poly2,S1_Sweep_L,S1_nROIs*NSweeps);
DenRaw_sweeps_dff_poly2 = [C_DenRaw_sweeps_dff_poly2; S1_DenRaw_sweeps_dff_poly2]; % concatenate sweeps

ROIs_sweeps_DenRaw_dff_move_10 = movmean(DenRaw_sweeps_dff_poly2,10,1);

BlueSpike = [C_BlueSpike; S1_BlueSpike];

%----------------------------------------------------------------------------
% VoltView - ROI Explorer

h = figure(1); h.Units = 'normalized'; h.Position = [0 0 1 1];
set(h, 'ToolBar', 'none');
set(h, 'MenuBar', 'none');
tg = uitabgroup(h);
pos0 = [0.085, 0.10, 0.85, 0.82];


Sub = 24;
nLoop = double(ceil(S1_nROIs/Sub));
for v = 1:nLoop
ROI_Panel = ['ROI Panel ' num2str(v)];
tab = uitab(tg, 'title',ROI_Panel,'BackgroundColor','k');
tab_axes = axes('parent', tab);
hold(tab_axes,'on');
sgtitle('VoltView ROI Explorer 1.0','Color',[0.9290 0.6940 0.1250],'FontSize',20, ...
'HorizontalAlignment','left','FontAngle','italic');

g = subaxis(6,5,[1,2,3,6,7,8],'Spacing',0.02);
imagesc(FovImage); hold on
colormap gray;
axis image
%axes(g);
g.BoxStyle = 'full';
g.XTick = [];
g.YTick = [];
g.XColor = [0.9290 0.6940 0.1250];
g.YColor = [0.9290 0.6940 0.1250];
pos = g.Position;


for i = 1:S1_nROIs
Cont = cell2mat(transpose(ROIs_Contour_coords(i)));
cent = cell2mat(ROIs_center_coords(i));
X = Cont(:,1); X(isnan(X)) = [];
Y = Cont(:,2); Y(isnan(Y)) = [];
    if isempty(Param_Comp) == 1
        Color = [0.8 0.8 0.8];
    else
        Param = O_Phys_Change(:,Param_Comp);
        if Param(i) > 100 + cutoff
            Color = [1 0 0]; % red
        elseif Param(i) < 100 - cutoff
            Color = [0 0 1]; % blue
        else
            Color = [0.8 0.8 0.8];
        end

    end   
scatter(X,Y,3,Color,'filled');
Text = num2str(i);
text(cent(2), cent(1), Text,'Color','c','FontSize',9); % 'FontWeight','bold'
hold on
end


c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'FLUO View';
c.Position = [0.020 0.86 0.06 0.07];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Fluo_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,Param_Comp,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'Motion Corr';
c.Position = [0.020 0.78 0.06 0.07];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Motion_Corr_S, g, EQImage, C_ROIs_Contour_coords, ROIs_Contour_coords,...
    ROIs_center_coords};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'EQ View';
c.Position = [0.020 0.70 0.06 0.07];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_EQ_S, g, EQImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,Param_Comp,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'FOV Zoom';
c.Position = [0.020 0.62 0.06 0.07];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_FOV_Zoom, g, pos, pos0};



% params to choose in ROI Explorer-----------------

c = uicontrol('style','text');
c.Units = 'normalized';
c.String = 'Cutoff (%)';
c.Position = [0.021 0.50 0.06 0.03];
c.BackgroundColor = [0.85 0.85 0.85];
c.FontSize = 10;

c = uicontrol('Style','edit','Callback',@V_Set_cutoff);
c.Units = 'normalized';
c.String = 'Type+Enter';
c.Position = [0.021 0.48 0.06 0.03];
c.BackgroundColor = [0.95 0.95 0.95];
c.FontSize = 10;
global cutoff

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'Paired Pulse';
c.Position = [0.012 0.43 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Paired_pulse_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'o-Sub Slope';
c.Position = [0.012 0.38 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_o_SUB_slope_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'Burst Freq-Op';
c.Position = [0.012 0.33 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Burst_Freq_Op_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'oAP Freq-Op1';
c.Position = [0.012 0.28 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_o_AP_Freq_Op1_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'oAP Freq-Post1';
c.Position = [0.012 0.23 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_o_AP_Freq_Post1_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'Burst Num-Op1';
c.Position = [0.012 0.18 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Burst_Num_Op1_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};

c = uicontrol('Parent',tab);
c.Units = 'normalized';
c.String = 'Burst Num-Post1';
c.Position = [0.012 0.13 0.08 0.04];
c.BackgroundColor = [0.9290 0.6940 0.1250];
c.FontSize = 10;
c.Callback = {@V_Burst_Num_Post1_S, g, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff};


        if v == 1
            Tags = (1:24);
            from = 1;
            if S1_nROIs < Sub
              to = S1_nROIs;
            else
              to = Sub;
            end
        else
            Tags = (((v-1)*Sub)+1:((v-1)*Sub)+24);
            from = ((v-1)*Sub)+1;
            if S1_nROIs < v*Sub
              to = S1_nROIs;  
            else
              to = v*Sub;
            end
        end

 Sub_idx = [4,5,9,(10:30)];
 k = 1;
 for i = from:to
    roi_co1_idx = ((i*NSweeps+1)-NSweeps : i*NSweeps);
    ROI_sweeps_dff = DenRaw_sweeps_dff_poly2(:,roi_co1_idx);
    sweeps_half_max = (max(max(ROI_sweeps_dff)))/2;
    sweeps_dist = (max(max(ROI_sweeps_dff)) + abs(min(min(ROI_sweeps_dff)))/2);
    ROI_sweeps_dff_move_10 = ROIs_sweeps_DenRaw_dff_move_10(:,roi_co1_idx);
    Mean_sweep = mean(ROI_sweeps_dff,2);
    Mean_sweep_move = mean(ROI_sweeps_dff_move_10,2);
    max_ylim = sweeps_dist*(NSweeps+2);
    sweep_zero(1:length(ROI_sweeps_dff)) = 0;
    %--------------------------------------------------------------
    C_ROI_BB_fix = cell2mat(C_ROIs_Binary_BURST_Fix_lost(i,1));
    S1_ROI_BB_fix = cell2mat(S1_ROIs_Binary_BURST_Fix_lost(i,1));
    ROI_BB_fix = [C_ROI_BB_fix; S1_ROI_BB_fix];

    ROI_BB_fix(ROI_BB_fix == 0) = NaN;
    ROI_BB_fix(ROI_BB_fix == 1) = 0;

    C_ROI_ap_above = cell2mat(C_ROIs_AP_IDXs_MoveFilt_lost(i,1));
    S1_ROI_ap_above = cell2mat(S1_ROIs_AP_IDXs_MoveFilt_lost(i,1)) + C_Sweep_L;
    ROI_ap_above = [C_ROI_ap_above; S1_ROI_ap_above];
    %-----------------------------------------------------------

        g = subaxis(6,5,Sub_idx(k),'Spacing',0.02);
    for j = 1:NSweeps
        sweep_zero_s = sweep_zero + (sweeps_dist*(j));
        sweep_denraw_s = ROI_sweeps_dff(:,j) + (sweeps_dist*(j));
        sweep_move_10_s = ROI_sweeps_dff_move_10(:,j) + (sweeps_dist*(j));
        binary_burst_fix_s = ROI_BB_fix(:,j) + (sweeps_dist*(j));
        APs_ab = ROI_ap_above(:,j); APs_ab(isnan(APs_ab)) = [];
           
        scatter(APs_ab,sweep_denraw_s(APs_ab),20,'m','filled');        hold on
        plot(sweep_zero_s,'Color','w','LineWidth',0.2);                hold on
        plot(sweep_denraw_s,'Color',[0.96, 0.74, 0.12],'LineWidth',1); hold on
        plot(sweep_move_10_s,'Color','g','LineWidth',0.75);            hold on
        plot(binary_burst_fix_s,'Color','w','LineWidth',4);            hold on
     end
    
    hold on
    line([C_Sweep_L C_Sweep_L],[0 max_ylim],'Color','w','LineWidth',1);
    hold on
    plot(Mean_sweep,'Color',[0.96, 0.74, 0.12],'LineWidth',2);         hold on
    plot(Mean_sweep_move,'Color','g','LineWidth',2);                   hold on
    for l = 1:numel(BlueSpike)
    line([BlueSpike(l) BlueSpike(l)],[sweeps_half_max max_ylim],'Color','c','LineWidth',0.3);
    end

    axis([10,Sweep_L,0-sweeps_dist,max_ylim]);
    line([Sweep_L*0.9 Sweep_L],[max_ylim max_ylim],'Color','c','LineWidth',0.5);
    line([Sweep_L*0.9 Sweep_L],[max_ylim*0.89 max_ylim*0.89],'Color','c','LineWidth',0.5);
    line([Sweep_L*0.9 Sweep_L*0.9],[max_ylim max_ylim*0.89],'Color','c','LineWidth',0.5);
    line([Sweep_L Sweep_L],[max_ylim max_ylim*0.89],'Color','c','LineWidth',0.5);


    pos = g.Position;
    set(gca,'tag',num2str(Tags(k)));
    set(g, 'buttondownfcn', {@V_ROI_Zoom_S, g, pos, pos0, FovImage,ROIs_Contour_coords,...
        ROIs_center_coords,O_Phys_Change,Param_Comp,cutoff});
    set(gca,'color','k');
    g.XTick = [];
    g.YTick = [];
    g.BoxStyle = 'full';
    g.XColor = 'k';
    g.YColor = 'k';
    caption = sprintf('ROI #%d', Tags(k));
    title(caption,'color',[0.9290 0.6940 0.1250]); % [0.9290 0.6940 0.1250]
    k = k + 1;
 end

end

end
