
function V_Burst_Num_Op1_S(~,~, ax, FovImage, ROIs_Contour_coords, ROIs_center_coords,...
    O_Phys_Change,cutoff)

        axes(ax)
        imagesc(FovImage);
        colormap gray;
        axis image;
        ax.BoxStyle = 'full';
        ax.XTick = [];
        ax.YTick = [];
        ax.XColor = [0.9290 0.6940 0.1250];
        ax.YColor = [0.9290 0.6940 0.1250];
        hold on

        global Param_Comp cutoff
        Param_Comp = 26;

        for i = 1:size(ROIs_Contour_coords,2) 
        Cont = cell2mat(transpose(ROIs_Contour_coords(i)));
        cent = cell2mat(ROIs_center_coords(i));
        X = Cont(:,1); X(isnan(X)) = [];
        Y = Cont(:,2); Y(isnan(Y)) = [];
            if isempty(Param_Comp) == 1
                Color = [0.8 0.8 0.8];
            else
                Param = O_Phys_Change(:,Param_Comp);
                if Param(i) > 100 + cutoff
                    Color = [1 0 0]; % red
                elseif Param(i) < 100 - cutoff
                    Color = [0 0 1]; % blue
                else
                    Color = [0.8 0.8 0.8];
                end
        
            end   
        scatter(X,Y,3,Color,'filled');
        Text = num2str(i);
        text(cent(2), cent(1), Text,'Color','c','FontSize',9); % 'FontWeight','bold'
        hold on
        end
        hold off

end


