

function V_Motion_Corr_S(~,~, ax, EQImage, C_ROIs_Contour_coords, ROIs_Contour_coords,...
    ROIs_center_coords)

        axes(ax)
        imagesc(EQImage);
        colormap gray;
        axis image;
        ax.BoxStyle = 'full';
        ax.XTick = [];
        ax.YTick = [];
        ax.XColor = [0.9290 0.6940 0.1250];
        ax.YColor = [0.9290 0.6940 0.1250];
        hold on

        for i = 1:size(ROIs_Contour_coords,2)
        Cont_C = cell2mat(transpose(C_ROIs_Contour_coords(i)));
        X_C = Cont_C(:,1); X_C(isnan(X_C)) = [];
        Y_C = Cont_C(:,2); Y_C(isnan(Y_C)) = [];
        scatter(X_C,Y_C,3,'c','filled');

        Cont_S = cell2mat(transpose(ROIs_Contour_coords(i)));
        cent = cell2mat(ROIs_center_coords(i));
        X_S = Cont_S(:,1); X_S(isnan(X_S)) = [];
        Y_S = Cont_S(:,2); Y_S(isnan(Y_S)) = [];
        scatter(X_S,Y_S,3,[0.9290 0.6940 0.1250],'filled');
        
        Text = num2str(i);
        text(cent(2), cent(1), Text,'Color','c','FontSize',9);
        hold on
        end
        hold off

end


