
function PARAMS = V_ONSITE_FIRST(c,RE,SomaDiam,manual_ROI,Suggest_ROI,discard_sweep)

if c < 10 
  datafile1 = ['Data0000' num2str(c)];
elseif c > 9 && c < 100
  datafile1 = ['Data000' num2str(c)];
elseif c > 99
  datafile1 = ['Data00' num2str(c)];
end
filename1 = [datafile1 '.cxd']; % Video1


%--------------------------------------------------------
multiWaitbar( 'Load Voltron Data...','Reset','Color', [0.929 0.694 0.125]);
PARAMS = V_Load_and_Fill_Stack_PAR(filename1);
%--------------------------------------------------------
multiWaitbar('Stack AVG Equalization...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_Stack_EQ_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('Segmentation,Trace Extraction...',0.1,'Color', [0.929 0.694 0.125]);
PARAMS = V_Segment_and_ROI_Trace_Extraction_PAR(PARAMS,SomaDiam,manual_ROI,discard_sweep);
%--------------------------------------------------------
multiWaitbar('AP detection...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_ROI_AP_RawDen_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('Firing and Burst analysis...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_ROI_Params_PAR(PARAMS);
%--------------------------------------------------------
multiWaitbar('Mean Trace o-PSPs...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_SUB_Parameters_OnSite(PARAMS);
%--------------------------------------------------------
multiWaitbar('Classification parameters...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_o_phys_Params_OnSite(PARAMS);
%--------------------------------------------------------
multiWaitbar('Classification of o-Phys...',0.01,'Color', [0.929 0.694 0.125]);
PARAMS = V_Classification_of_o_Phys(PARAMS);
%--------------------------------------------------------
filename1 = [datafile1 '.mat'];
save(filename1,'PARAMS');
%--------------------------------------------------------
if RE == 1
multiWaitbar('Initialize VoltView...',0.01,'Color', [0.929 0.694 0.125]);
V_VoltView_PLOT_C(c,Suggest_ROI)
end
multiWaitbar('CloseAll');
%--------------------------------------------------------
end

